SET TERM ^ ;
ALTER TRIGGER ME_AD100 ACTIVE
AFTER DELETE POSITION 100
AS 
BEGIN 
        INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(101,OLD.ID);
END^


ALTER TRIGGER SIMPLE_AIU100 ACTIVE
AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 
    
	if((NEW."ACTIVE"='0') OR (NEW.ME_ID IS NULL) OR (NEW.NAME IS NULL)) THEN 
    begin
        INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(120,NEW.ID);
        EXIT;
    END
    
	if((INSERTING) OR (OLD.NAME!=NEW.NAME OR OLD.ME_ID!=NEW.ME_ID OR (COALESCE(OLD.CODE,'')!=COALESCE(NEW.CODE,'')) OR (COALESCE(OLD.RAZ_TIP_ID,0)!=COALESCE(NEW.RAZ_TIP_ID,0)))) THEN  INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(20,NEW.ID);
   
END^

ALTER TRIGGER SIMPLE_AD100 ACTIVE
AFTER DELETE POSITION 100
AS 
BEGIN 
        INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(120,OLD.ID);
END^

ALTER TRIGGER NAL_AIU100 ACTIVE
AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 
    IF((UPDATING AND (OLD.KOL_NAL!=NEW.KOL_NAL)) OR INSERTING) THEN INSERT INTO TEKLA_INFO_SYNC(SKLAD,SYNCTIP,ID_TO_SYNC) VALUES (NEW.SKLAD_ID,50,NEW.SIMPLE_ID);
END^

ALTER TRIGGER NAL_AD100 ACTIVE
AFTER DELETE POSITION 100
AS 
BEGIN 
	INSERT INTO TEKLA_INFO_SYNC(SKLAD,SYNCTIP,ID_TO_SYNC) VALUES (OLD.SKLAD_ID,150,OLD.SIMPLE_ID);
END^

ALTER TRIGGER CENOVA_LISTA_AIU100 ACTIVE
AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 
IF(NEW.ACTIVNA=0) THEN INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(140,NEW.OPR_ID);
ELSE INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(40,NEW.OPR_ID);
END^

ALTER TRIGGER CENOVA_LISTA_AD100 ACTIVE
AFTER DELETE POSITION 100
AS 
BEGIN 
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(140,OLD.OPR_ID);
END^


ALTER TRIGGER OPR_ANUL_AIU100 ACTIVE
AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 
	IF(EXISTS (SELECT * FROM OPR WHERE OPR_TIP=25 AND ID=NEW.AN_OPR_ID)) THEN INSERT INTO TEKLA_INFO_SYNC(ID_TO_SYNC,SYNCTIP) VALUES(NEW.AN_OPR_ID,140);
END^

ALTER TRIGGER CENOVA_LISTA_EL_AIU100 ACTIVE
AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 

	IF((INSERTING) OR (UPDATING AND (OLD.CENA!=NEW.CENA))) THEN INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(41,NEW.ID);

END^

ALTER TRIGGER CENOVA_LISTA_EL_AD100 ACTIVE
AFTER DELETE POSITION 100
AS 
BEGIN 
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(141,OLD.ID);
END^

ALTER TRIGGER BARCODE_AIU100 ACTIVE
AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 
    IF(UPDATING AND OLD.KOl=NEW.KOL AND OLD.BARCODE=NEW.BARCODE) THEN EXIT;
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(60,NEW.ID);
END^

ALTER TRIGGER BARCODE_AD100 ACTIVE
AFTER DELETE POSITION 100
AS 
BEGIN 
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(160,OLD.ID);
END^


ALTER TRIGGER KLI_AIU0 ACTIVE
AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 
    IF((NEW.NAME IS NULL) OR NEW.KLIENT='0') THEN INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(170,NEW.ID);
    IF(UPDATING AND OLD.NAME=NEW.NAME AND (COALESCE(OLD.CODE,'')=COALESCE(NEW.CODE,''))) THEN EXIT;
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(70,NEW.ID);
END^

ALTER TRIGGER KLI_AD10 ACTIVE
AFTER DELETE POSITION 100
AS 
BEGIN 
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(170,OLD.ID);
END^

ALTER TRIGGER USER_AIU100 ACTIVE
AFTER INSERT OR UPDATE POSITION 100
AS
 
BEGIN 
	IF(NEW.IS_ACTIVE>0) THEN INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(90,NEW.ID);
    ELSE INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(190,NEW.ID);
END^

ALTER TRIGGER USER_AD100 ACTIVE
AFTER DELETE POSITION 100
AS 
BEGIN 
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(190,OLD.ID);
END^

SET TERM ; ^
