SET TERM ^ ;

CREATE TRIGGER CFG_PAYMENTS_AD100 FOR CFG_PAYMENTS
ACTIVE AFTER DELETE POSITION 100
AS 
BEGIN 
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(180,OLD.ID);
END^

CREATE TRIGGER CFG_PAYMENTS_AIU100 FOR CFG_PAYMENTS
ACTIVE AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 
	IF(BIN_AND(NEW.ATRIB,4)!=4) THEN
    BEGIN
        INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(180,NEW.ID);
        EXIT;
    end
    IF(INSERTING OR  (COALESCE(OLD.NAME,'')!=COALESCE(NEW.NAME,'') OR (OLD.FISK!=NEW.FISK))) THEN INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(80,NEW.ID);
END^

CREATE TRIGGER RAZ_TIP_AD100 FOR RAZ_TIP
ACTIVE AFTER DELETE POSITION 100
AS 
BEGIN 
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(105,OLD.ID);
END^

CREATE TRIGGER RAZ_TIP_AIU100 FOR RAZ_TIP
ACTIVE AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 
	IF(INSERTING OR (COALESCE(OLD.NAME,'')!=COALESCE(NEW.NAME,'')))THEN INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(5,NEW.ID);
END^


CREATE TRIGGER RAZ_ELEMENT_AD100 FOR RAZ_ELEMENT
ACTIVE AFTER DELETE POSITION 100
AS 
BEGIN 
	INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(106,OLD.ID);
END^

CREATE TRIGGER RAZ_ELEMENT_AIU100 FOR RAZ_ELEMENT
ACTIVE AFTER INSERT OR UPDATE POSITION 100
AS 
BEGIN 
	IF(INSERTING OR (COALESCE(OLD.NAME,'')!=COALESCE(NEW.NAME,'')))THEN INSERT INTO TEKLA_INFO_SYNC(SYNCTIP,ID_TO_SYNC) VALUES(6,NEW.ID);
END^

SET TERM ; ^ 


CREATE INDEX IDX_TEKLA_OPR_NODE_CHECK ON TEKLA_OPR_NODE
  (TEKLA_ID, SMETKA_ID);
