drop procedure tekla_commit_all_smetki;

commit;
ALTER TABLE TEKLA_SMETKI_INFO DROP OBJ_ID;
alter table tekla_smetki_i_el alter price_pl type dom_cena;
alter table tekla_smetki_i_el alter suma type dom_cena;
alter table tekla_smetki_i_el alter kol type dom_kol;
alter table TEKLA_SMETKI_I_EL add price_os DOM_CENA;
alter table TEKLA_SMETKI_INFO alter KLI_ID TYPE DOM_KEY;
alter table TEKLA_SMETKI_INFO alter SUMA TYPE DOM_CENA;
commit;
SET TERM ^ ;
CREATE PROCEDURE TEKLA_COMMIT_ALL_SMETKI
RETURNS (
    R_INT_SMETKA_ID Bigint,
    R_OPR_ID Integer )
AS
DECLARE VARIABLE S_ID BIGINT; 
DECLARE VARIABLE S_KLI_ID INT;
DECLARE VARIABLE S_OBJ_ID SMALLINT;
DECLARE VARIABLE S_USER_ID SMALLINT;
DECLARE VARIABLE S_DATETIME TIMESTAMP;
DECLARE VARIABLE S_SUMA DOUBLE precision;
DECLARE VARIABLE S_SKLAD_ID SMALLINT;
DECLARE VARIABLE S_IP INT;
DECLARE VARIABLE S_IS_F SMALLINT;
DECLARE VARIABLE S_EL_SIMPLE_ID INT;
DECLARE VARIABLE S_EL_KOL DOUBLE precision;
DECLARE VARIABLE S_EL_PRICE_PL DOUBLE precision;
DECLARE VARIABLE S_EL_PRICE_OS DOUBLE precision;
DECLARE VARIABLE S_EL_PRICE DOUBLE PRECISION;
DECLARE VARIABLE S_EL_SUMA DOUBLE precision;


DECLARE VARIABLE OU_ID INT;
DECLARE VARIABLE OU_EL_ID INT;
DECLARE VARIABLE SUMA_SR DOUBLE precision;
DECLARE VARIABLE SUMA_FR DOUBLE PRECISION;

BEGIN
FOR SELECT 
    TSI.ID,
    TSI.KLI_ID,
    TSI.USER_ID,
    TSI.SKLAD_ID,
    TSI.SUMA,
    TSI.DATETIME,
    TSI.IS_F,
    TSI.IP
FROM TEKLA_SMETKI_INFO TSI
INTO :S_ID,:S_KLI_ID,:S_USER_ID,:S_SKLAD_ID,:S_SUMA,:S_DATETIME,:S_IS_F,:S_IP
DO 
begin
    SELECT OBEKT_ID FROM "USER" WHERE ID=:S_USER_ID INTO :S_OBJ_ID;
    EXECUTE PROCEDURE ADD_OPR(2,CAST(:S_DATETIME AS DATE),:S_IP,:S_USER_ID,:S_SKLAD_ID,NULLIF(:S_KLI_ID,0),:S_SUMA) RETURNING_VALUES :R_OPR_ID;
    for SELECT
        TSIE.SIMPLE_ID,
        TSIE.KOL,
        TSIE.SUMA,
        TSIE.PRICE_PL,
        TSIE.PRICE,
		TSIE.PRICE_OS
    FROM TEKLA_SMETKI_I_EL TSIE
    WHERE TSIE.SMETKA_ID=:S_ID 
    INTO :S_EL_SIMPLE_ID,:S_EL_KOL,:S_EL_SUMA,:S_EL_PRICE_PL,:S_EL_PRICE,:S_EL_PRICE_OS
    DO
        begin
        EXECUTE PROCEDURE GET_SUMA_SR(:S_EL_SIMPLE_ID,:S_SKLAD_ID,:S_EL_KOL) RETURNING_VALUES :SUMA_SR;
        EXECUTE PROCEDURE ADD_OUT_EL(:R_OPR_ID,:S_EL_SIMPLE_ID,:S_EL_KOL,:S_EL_SUMA,COALESCE(SUMA_SR,0),0,'0',null) RETURNING_VALUES :OU_EL_ID;
        INSERT INTO PROD_CENI_EL(OUT_EL_ID,CENA,CENA_CL,CENA_OS) VALUES(:OU_EL_ID,:S_EL_PRICE,:S_EL_PRICE_PL,:S_EL_PRICE_OS);
        EXECUTE PROCEDURE PARTIDA_OUT(:S_EL_KOL,:S_EL_SIMPLE_ID,:S_SKLAD_ID,:R_OPR_ID,:OU_EL_ID,0,null,null,1) RETURNING_VALUES :S_EL_KOL,:S_EL_SUMA;--polzvame tezi, ve4e ne ni trqvat
        update opr set DATETIME = :S_DATETIME WHERE ID = :R_OPR_ID;
       
    END
    SELECT SUM (SUMA_SR), SUM (SUMA_FR) FROM OUT_EL WHERE OPR_ID = :R_OPR_ID INTO :SUMA_SR,:SUMA_FR;
    EXECUTE PROCEDURE ADD_OUT(:R_OPR_ID,0,0,SUMA_SR,SUMA_FR,:S_IS_F,null,:S_OBJ_ID,0,null) RETURNING_VALUES :OU_ID;
    EXECUTE PROCEDURE UPDATE_OUT(:R_OPR_ID);
    INSERT INTO OPR_SUMI(OPR_ID,SUMA_FR,SUMA_SR) VALUES(:R_OPR_ID,:SUMA_FR,:SUMA_SR);
    IF(:S_IS_F=0) THEN DELETE FROM TEKLA_SMETKI_INFO WHERE ID = :S_ID;
    R_INT_SMETKA_ID = :S_ID;
    suspend;
end
END^
SET TERM ; ^

commit;
