ALTER TABLE TEKLA_INFO ADD 
SKLAD_ID DOM_KEY_SMALL;

SET TERM ^ ;
ALTER TRIGGER TEKLA_INFO_SYNC_AI10 ACTIVE
AFTER INSERT POSITION 10
AS 
DECLARE VARIABLE T_ID INTEGER;
BEGIN 
	POST_EVENT 'SYNC_TEKLA' || coalesce(NEW.SKLAD, ''); 
    if(NEW.SKLAD IS NULL) THEN EXIT;
    FOR SELECT ID FROM TEKLA_INFO TI WHERE TI.CNN_ID!=current_connection AND TI.SKLAD_ID=NEW.SKLAD INTO :T_ID do POST_EVENT 'SYNC_BY_TEKLA_' || :T_ID;
END^
SET TERM ; ^

SET TERM ^ ;
ALTER TRIGGER TEKLA_INFO_BU1 ACTIVE
BEFORE UPDATE POSITION 1
AS 
BEGIN 
    NEW.CNN_ID = IIF(NEW.ID=0 OR NEW.CNN_ID=0,null,current_connection);
END^
SET TERM ; ^

SET TERM ^ ;
CREATE TRIGGER TEKLA_ACTIVE ACTIVE
ON connect
 POSITION 0
AS 
BEGIN 
   UPDATE TEKLA_INFO TI SET CNN_ID=0, SKLAD_ID=null where CNN_ID=current_connection OR not exists (SELECT * FROM MON$ATTACHMENTS WHERE MON$ATTACHMENT_ID=TI.CNN_ID);
END^
SET TERM ; ^


SET TERM ^ ;
ALTER TRIGGER TEKLA_INFO_AU100 ACTIVE
AFTER UPDATE POSITION 100
AS 
BEGIN 
	DELETE FROM TEKLA_INFO_SYNC TIS WHERE TIS.ID <= (SELECT MIN(LAST_SYNC) FROM TEKLA_INFO TI);
END^
SET TERM ; ^